package com.memorynotfound.hibernate;

import org.hibernate.Session;
import org.hibernate.Transaction;

public class App {

    public static void main (String...args){

        Session session = HibernateUtil.getSession();
        Transaction tx = session.beginTransaction();

        try {

            Book book = new Book();
            book.setAuthor("Camelcode.org");
            book.setTitle("Hibernate Configuration with spring + Annotations");
            book.setIsbnCode("9232537892");
            book.setPrice(24.95);
            book.setYear(2012);

            session.save(book);
            tx.commit();

            session.close();
            HibernateUtil.shutdown();
        } catch (Exception e){
            tx.rollback();
            session.close();
            HibernateUtil.shutdown();
        }
    }
}
